*{
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}
body{
    background: linear-gradient(#07111f,#0b1220);
    color:white;
    display:flex;
    gap:30px;
    font-family:(Poppins)sans-serif;
}
/*sidebar-section*/
#sidebar{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border-right: 1px solid rgba(255,255,255,0.05);
    background-color: #111827;
    padding:10px 20px;
    width:18%;
    position:fixed;
    top:0;
    left:0;
    height:100vh;
    overflow-y: auto;
}
#sidebar-heading{
    display:flex;
    gap:10px;
}
#sidebar-heading h1{
    color:royalblue;
    font-weight:bolder;
    font-size: 35px;
}
#sidebar-heading h3{
    position:relative;
    top:14px;
}
.sidebar-items{
    display:grid;
    gap:10px;
}
.sidebar-items a{
    color:#94a3b8;
    border-radius:15px;
    border:none;
    padding:20px;
    text-decoration:none; 
    background:#1e293b;
    padding:20px;
    border-radius:15px;
    border:none;
}
.sidebar-items a:hover{
    background: #2563eb;
}
#forexbar,#alertbar,#analyticsbar,#calculatorbar,#calendarbar,#historybar,#journalbar,#marketbar,#newsbar,#ordersbar,#tradebar{
    background:purple;
    border-radius: 15px;
    border:none;
    padding:20px;
}
.upgradetopro{
    background: #1e293b;
    backdrop-filter: brul(10px);
    border-radius:15px;
    padding:5px 10px;
    border:1px solid rgba(255,255,255,0.05);
    align-items: center;
    position:relative;
    top:20px;
}
.upgradetopro p{
    position:relative;
    bottom:10px;
    color:#94a3b8;
}
.upgradetopro a{
    background:#2563eb;
    color:white;
    padding:5px 30px;
    text-decoration: none;
    border-radius:10px;
    position:relative;
    bottom:10px;
    left:5px;
}
.upgradetopro i{
    color:#2563eb;
}
.user-profile{
    display:flex;
    gap:5px;
    position:relative;
    top:50px;
}
.userprofile-info{
    line-height:0px;
}
.user-profile span{
    background: #2563eb;
    border-radius: 5px;
    padding:2px 2px;

}
.user-profile i{
    color: white;
    background:orangered;
    border:1px solid orangered;
    border-radius:50%;
    padding:10px;
}
.sidebar-downicons{
    display:flex;
    gap:50px;
    position:relative;
    top:80px;
    left:10px;
}
/*dashboard-section*/
img{
    position:absolute;
    width:41px;
    height:41px;
    border-radius: 50%;
    top:490px;
    left:7px;
    z-index: 1000;
}
#dashboard-section{
    display:grid;
    gap:20px;
    position:relative;
    left:250px;
}
.dashboard-navbar{
    display:flex;
    justify-content: space-between;
    position:static;
    gap:200px;
    padding:5px 10px;
}
#welcome{
    position:relative;
    display:grid;
    line-height: 0px;
}
#welcome p{
    color:#94a3b8;
}
#input-search input{
    position:relative;
    right:90px;
    justify-content: center;
    width:100%;
    padding:10px 20px;
    border-radius:15px;
    background: rgba(255,255,255,0.05);
    color:white;
    border:solid 1px rgba(255,255,255,0.05);
}
#dashboard-navbaricons{
    display: flex;
    gap:10px;
}
#mode{
    border:1px solid rgba(255,255,255,0.05);
    border-radius: 50%;
    height:20px;
    width:20px;
    background: rgba(255,255,255,0.05);
}
.notification-dropdown{
    background:#111827;
    padding:5px 10px;
    border-radius:15px;
    border:1px solid rgba(255,255,255,0.08);
    position:absolute;
    right:70px;
    top:40px;
    width: 300px;
    z-index: 1000;
    backdrop-filter: brul(10px);
    font-size: 14px;
}
#notification{
    border:1px solid rgba(255,255,255,0.05);
    border-radius:50%;
    height:20px;
    width:20px;
    background: rgba(255,255,255,0.05);
    color:rgba(255,255,255,0.08);
}
.info{
    display:none;
}
.dashboard-data{
    display:grid;
    grid-template-columns: repeat(5,1fr);
    gap:50px;
}
.data{
    background-color: #1e293b;
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border-radius:15px;
    display:flex;
    height:100px;
    justify-content: space-around;
    border:1px solid rgba(255,255,255,0.05);
    width:130%;
}
.data-value{
    display:flex;
    flex-direction:column;
    line-height: 0px;
    gap:0px;
}
.data-name{
    position:relative;
    top:12px;
    color:#94a3b8;
}
.data-int{
    position:relative;
    bottom:12px;
    color:#22c55e;
}
.data-freemargin{
    position:relative;
    bottom:12px;
    color:#eab308;
}
.data-icon i{
    position:relative;
    border:1px solid rgba(255,255,255,0.05);
    border-radius: 10px;
    padding:20px;
    top:20px;
    left:15px;
}
#wallet{
    color:#a855f7;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),#a855f7);
}
#lastmonth{
    position:relative;
    top:10px;
    color:#94a3b8;
    font-size: 10px;
    display:flex;
    flex-direction: row-reverse;
}
#dollar{
    color:#2563eb;
    background: linear-gradient(135deg,rgba(255,255,255,0.05),#2563eb);
}
#bank{
    color:#22c55e;
    background:linear-gradient(133deg,rgba(255,255,255,0.05),#22c55e);
}
#coins{
    color:#eab308;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),#eab308);
}
#chart{
    color:purple;
    background:linear-gradient(135deg,rgba(255,255,255,0.05),purple);
}
.inner-dashboard{
    display:flex;
    justify-content: space-around;
}
.chart-positionasset{
    display:grid;
    gap:20px;
}
.chart{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:97%;
    position:relative;
    right:10px;
}
#forex-chart{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    position:relative;
    top:30px;
    width:90%;
    height:300px;
    color:#0f172a;
}
.positionAssets{
    display:flex;
    gap:10px;
}
.position{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:48%;
    padding:10px 15px;
    font-size: 14px;
    position:relative;
    right:10px;
}
.position-navbar{
    gap:5px;
}
.top-nav{
    display:flex;
    justify-content:space-between;
}
.top-nav a{
    position:relative;
    color:#2563eb;
    text-decoration:none;
    top:20px;
}
.topnav-links{
    display:flex;
    justify-content: space-around;
}
.topnav-links a{
    text-decoration:none;
    color:#94a3b8;
    display: flex;
    justify-content: space-between;
}
#symbol{
    position:relative;
    right:5px;
}
#type{
    position:relative;
    right:5px;
}
#lot{
    position:relative;
    right:14px;
}
#open{
    position:relative;
    right:14px;
}
#current{
    position:relative;
    right:12px;
}
.middle-position{
    display:flex;
    justify-content: space-between;
    background: #1e293b;
}
.buy{
    color:#2563eb;
    
}
.sell{
    color:#ef4444;
}
#profit{
    position:relative;
    color:#22c55e;
}
.position-footer{
    display:flex;
    justify-content: space-between;
}
.Assets{
    background:rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:48%;
    padding:10px 15px;
    font-size:14px;
    position:relative;
    right:10px;
}
.asset-nav{
    display:flex;
    justify-content: space-between;
}
.asset-nav a{
    position:relative;
    top:20px;
    text-decoration:none;
    color:#2563eb;
}
.doughnut-chart{
    position:relative;
    right:20px;
    width:80%;
}
.list-market{
    position:relative;
    right:40px;
    top:60px;
}
.list-marketvalue{
    position:relative;
    right:30px;
    top:60px;
}
.list-market p{
    display:flex;
    gap:10px;
}
#forex{
    color:#53d8ff;
}
#gold{
    color:#ff8fa3;
}
#crypto{
    color:#ffc857;
}
#indices{
    color:#ffe45e;
}
#others{
    color:#6ee7b7;
}
.asset-content{
    display:flex;
    justify-content: space-around;
}
.MarketwatchRecenttradesTopmovers{
    display:grid;
    grid-template-columns: repeat(1,1fr);
    gap:20px;
}
#Marketwatch{
    background:rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    position:relative;
    right:30px;
    width:140%;
    font-size:14px;
    padding:5px 15px;
}
.Marketwatch-nav{
    display: flex;
    justify-content: space-between;
}
.Marketwatch-nav a{
    text-decoration: none;
    color:#2563eb;
    position:relative;
    top:10px;
}
.Marketwatch-links a{
    text-decoration:none;
    color:#94a3b8;
}
.Marketwatch-content{
    display:flex;
    gap:10px;
    background:#1e293b;
    padding:5px;
}
.Marketwatch-change{
    color:#22c55e;
}
.Marketwatch-change .loss{
    color:#ef4444;
}
.Recenttrades{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    position:relative;
    right:30px;
    width:140%;
    font-size:14px;
    padding:5px 15px;
}
.Recenttrades-nav{
    display:flex;
    justify-content: space-between;
}
.Recenttrades-nav a{
    text-decoration: none;
    color:#2563eb;
    position:relative;
    top:10px;
}
.Recenttrades-links a{
    text-decoration:none;
    color:#94a3b8;
}
.Recenttrades-content{
    display:flex;
    gap:10px;
    background: #1e293b;
    padding:5px;
}
.Recenttrades-profit{
    color:#22c55e;
}
.gold-loss{
    color:#ef4444;
}
.Topmovers{
    background: rgba(255,255,255,0.05);
    backdrop-filter:brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    position:relative;
    right:30px;
    width:140%;
    font-size: 14px;
    padding:5px 15px;
}
.Topmover-navbar{
    display:flex;
    justify-content: space-between;
}
.Topmover-navbar a{
    text-decoration: none;
    color:#2563eb;
    position:relative;
    top:10px;
}
.movers{
    color:#22c55e;
}
.movers-loss{
    color:#ef4444;
}
.Recenttrades-links,.Marketwatch-links{
    display:flex;
    justify-content: space-between;
}
.Marketwatch-content,.Recenttrades-content,.Topmover-content{
    display:flex;
    justify-content: space-between;
}
.dashboard-footer{
    display:grid;
}
.News{
    background: rgba(255,255,255,0.05);
    backdrop-filter:brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    position:relative;
    width:380px;
    right:170px;
    padding:5px 10px;
    font-size: 14px;
    grid-area: item1;
}
.News-navbar{
    display:flex;
    justify-content: space-between;
}
.News-navbar a{
    color:#2563eb;
    text-decoration:none;
    position:relative;
    top:10px;
}
.Economic-calendar{
    background:rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:600px;
    position:relative;
    left:225px;
    font-size: 14px;
    padding:5px 10px;
    grid-area:item2;
}
.Economiccalendar-navbar{
    display:flex;
    justify-content: space-between;
}
.Economiccalendar-navbar a{
    color:#2563eb;
    text-decoration: none;
    position:relative;
    top:10px;
    right:10px;
}
.Economiccalendar-content{
    display:flex;
    justify-content: space-between;
}
.light-mode{
    background:#f8fafc;
    color:#0f172a;
}
.light-mode #sidebar{
    background: white;
    border-right: 1px solid #e2e8f0;
}
.light-mode .data{
    background: white;
    border:1px solid #e2e8f0;
}
.light-mode .chart{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .position{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .Assets{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .Marketwatch{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .Recenttrades{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .Topmovers{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .News{
    background:white;
    border:1px solid #e2e8f0;
}
.light-mode .Economic-calendar{
    background: white;
    border:1px solid #e2e8f0;
}
.light-mode .upgradetopro{
    background: white;
    border:1px solid #e2e8f0;
}
.light-mode .Marketwatch-content{
    background: white;
    border:solid 1px #e2e8f0;
}
.light-mode .Recenttrades-content{
    background: white;
    border:1px solid #e2e8f0;
}
.light-mode .middle-position{
    background: white;
    border:1px solid #e2e8f0;
}
